--- !ruby/object:RI::ClassDescription 
attributes: 
- !ruby/object:RI::Attribute 
  comment: 
  name: list
  rw: RW
- !ruby/object:RI::Attribute 
  comment: 
  name: type
  rw: RW
class_methods: 
- !ruby/object:RI::MethodSummary 
  name: method_missing
- !ruby/object:RI::MethodSummary 
  name: new
- !ruby/object:RI::MethodSummary 
  name: unknown_list
comment: 
constants: 
- !ruby/object:RI::Constant 
  comment: 
  - !ruby/struct:SM::Flow::P 
    body: "REFACTOR: nuke this"
  name: KNOWN_TYPES
  value: "{     :unknown => \"Unknown\",     :unknown_list => \"Unknown list\",     :long => \"Integer\",     :long_list => \"Integer list\",     :str => \"String\",     :str_list => \"String list\",     :void => \"Void\",     :bool => \"Bool\",     :bool_list => \"Bool list\",     :value => \"Value\",     :value_list => \"Value list\",     :function => \"Function\",     :file => \"File\",     :float => \"Float\",     :float_list => \"Float list\",     :symbol => \"Symbol\",     :zclass => \"Class\",     :homo => \"Homogenous\",     :hetero => \"Heterogenous\",     :fucked => \"Untranslatable type\",   }"
- !ruby/object:RI::Constant 
  comment: 
  name: TYPES
  value: "{}"
full_name: Type
includes: []

instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: ==
- !ruby/object:RI::MethodSummary 
  name: eql?
- !ruby/object:RI::MethodSummary 
  name: function?
- !ruby/object:RI::MethodSummary 
  name: hash
- !ruby/object:RI::MethodSummary 
  name: inspect
- !ruby/object:RI::MethodSummary 
  name: list?
- !ruby/object:RI::MethodSummary 
  name: list_type
- !ruby/object:RI::MethodSummary 
  name: to_s
- !ruby/object:RI::MethodSummary 
  name: unify
- !ruby/object:RI::MethodSummary 
  name: unknown?
name: Type
superclass: Object
